org.apache.maven.scm.provider.bazaar.command.checkin

## Class BazaarCheckInCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkin.AbstractCheckInCommand
    - - org.apache.maven.scm.provider.bazaar.command.checkin.BazaarCheckInCommand

All Implemented Interfaces:
  Command

    public class BazaarCheckInCommand
    extends AbstractCheckInCommand

Version:
  $Id: BazaarCheckInCommand.java 806089 2009-08-20 08:46:58Z struberg $
Author:
  Torbjï¿½rn Eikli Smï¿½rgrav

### Field Summary

### Fields inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`NAME`

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`BazaarCheckInCommand()`

### Method Summary

Methods
`protected CheckInScmResult` `executeCheckInCommand(ScmProviderRepository repo, ScmFileSet fileSet, String message, ScmVersion version)`

### Methods inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BazaarCheckInCommand

    public BazaarCheckInCommand()

### Method Detail

#### executeCheckInCommand

    protected CheckInScmResult executeCheckInCommand(ScmProviderRepository repo,
                                         ScmFileSet fileSet,
                                         String message,
                                         ScmVersion version)
                                              throws ScmException

Specified by:
  `executeCheckInCommand` in class `AbstractCheckInCommand`
Throws:
  `ScmException`